com.fasterxml.jackson.databind.ser

## Interface ResolvableSerializer

All Known Implementing Classes:
  BeanAsArraySerializer, BeanSerializer, BeanSerializerBase, StdDelegatingSerializer, UnwrappingBeanSerializer

    public interface ResolvableSerializer

Interface used to indicate serializers that want to do post-processing after construction and being added to `SerializerProvider`, but before being used. This is typically used to resolve references to other contained types; for example, bean serializers use this to eagerly find serializers for contained field types.

Note that in cases where serializer needs both contextualization and resolution -- that is, implements both this interface and `ContextualSerializer` -- resolution via this interface occurs first, and contextual resolution (using `ContextualSerializer`) later on.

### Method Summary

Methods
`void` `resolve(SerializerProvider provider)` Method called after `SerializerProvider` has registered the serializer, but before it has returned it to the caller.

### Method Detail

#### resolve

    void resolve(SerializerProvider provider)
                 throws JsonMappingException

Method called after `SerializerProvider` has registered the serializer, but before it has returned it to the caller. Called object can then resolve its dependencies to other types, including self-references (direct or indirect).

Note that this method does NOT return serializer, since resolution is not allowed to change actual serializer to use.

Parameters:
  `provider` - Provider that has constructed serializer this method is called on.
Throws:
  `JsonMappingException`